<?php

/*

Plugin Name: What Am I
Plugin URI: http://www.plumeriawebdesign.com/what-am-i
Description: Display which page template file is being used.
Version: 1.0
Date: July 24, 2016
Author: Plumeria Web Design
Author URI: http://www.plumeriawebdesign.com
*/ 

function WhatAmIMenu(){
 $file = dirname(__FILE__) . '/index.php';
 $plugin_dir = plugin_dir_url($file);
 add_menu_page('What Am I', 'What Am I', 'manage_options', 'what-am-i-options', 'WhatAmISettings', 'dashicons-format-aside');
}

add_action('admin_menu', 'WhatAmIMenu');

function WhatAmISettings() {
  include('settings.php');
}


function plumwd_whoami_admin_footer_text($my_footer_text) {
 $plugin_url = plugins_url();
 $my_footer_text = "<span class=\"credit\"><img src=\"$plugin_url/whatami/img/plumeria.png\" alt=\"Plumeria Web Design Logo\"/><a href=\"http://www.plumeriawebdesign.com/what-am-i\" target=\"_blank\">What Am I</a>. Developed by <a href=\"http://www.plumeriawebdesign.com\" target=\"_blank\">Plumeria Web Design</a></span>";
	return $my_footer_text;
}

if(isset($_GET['page'])) {
	if ($_GET['page'] == "what-am-i-options") {
	 add_filter('admin_footer_text', 'plumwd_whoami_admin_footer_text');
	}
}


function whatami_default_settings() {

   $file = dirname(__FILE__) . '/what-am-i.php';
   $plugin_dir = plugin_dir_url($file);

   add_option('whatami_on', '0');
}

register_activation_hook( __FILE__, 'whatami_default_settings' );

function whamai_enqueue_libraries($hook) {
   wp_enqueue_style( 'whatami-admin', plugins_url( 'css/adminstyle.css' , __FILE__ ));
}

add_action( 'admin_enqueue_scripts', 'whamai_enqueue_libraries' );	

add_action('wp_footer', 'show_template');

function show_template() {
  $whatamion = get_option('whatami_on');

  if ($whatamion == 1) {
    global $template;
    global $current_user;
    get_currentuserinfo();
	$themepath = explode("themes", $template);
	if ( current_user_can( 'manage_options' ) ) {
	echo "The current template file is: ". $themepath[1];
	}
  
  }
}

?>